## net.sf.saxon.evpull
Interface EventMappingFunction

    public interface EventMappingFunction

EventMappingFunction is an interface that must be satisfied by an object passed to an EventMappingIterator. It represents an object which, given an Item, can return an EventIterator that delivers a sequence of zero or more PullEvents.

Method Summary
`EventIterator` `map(Item item)` Map one item to a sequence of pull events.

Method Detail

### map

    EventIterator map(Item item)
                      throws XPathException

  Map one item to a sequence of pull events.

  Parameters:
    `item` - The item to be mapped.
  Returns:
    one of the following: (a) an EventIterator over the sequence of items that the supplied input item maps to, or (b) null if it maps to an empty sequence.
  Throws:
    `XPathException`

Copyright (c) Saxonica Limited. All rights reserved.